summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/wine/README26
-rw-r--r--system/wine/wine.SlackBuild88
-rw-r--r--system/wine/wine.info6
3 files changed, 90 insertions, 30 deletions
diff --git a/system/wine/README b/system/wine/README
index cd197eb7fd..bc82781a80 100644
--- a/system/wine/README
+++ b/system/wine/README
@@ -6,10 +6,20 @@ cutting-edge then you may want to check out wine-staging.
Options:
-To build wine to run 64bit Windows executable support, use:
+With no options this SlackBuild will build the 32bit wine package,
+for which you need to have multilib installed (see below).
+
+To build a package for both 64bit and 32bit Windows executable
+support, use:
WIN64=yes ./wine.SlackBuild
+To disable win32 support, use:
+
+NOWIN32=yes ./wine.SlackBuild
+
+Or combine them both to build only a 64bit wine package.
+
To disable OpenGL support, use:
OPENGL=no ./wine.SlackBuild
@@ -28,9 +38,17 @@ webcore-fonts:
NOTES
-To build on x86_64 you will need to have multilib packages installed,
-unless you want to build for Windows 64 bit applications only (using
-WIN64=yes).
+With 64bit support you would use the wine64 binary. If you have a
+combined 32 and 64bit package you need to set the environmental
+variable WINEPREFIX to point to the 64bit wine directory when running
+wine64, which should be different to the 32bit directory (~/.wine by
+default). Example:
+
+WINEPREFIX=~/.wine64 wine64 notepad
+
+To build the 32bit wine on x86_64 you will need to have multilib
+packages installed, unless you want to build for Windows 64 bit
+applications only (using WIN64=yes NOWIN32=yes).
AlienBOB's multilib readme and repo:
diff --git a/system/wine/wine.SlackBuild b/system/wine/wine.SlackBuild
index a4697211bc..2cdfdfc708 100644
--- a/system/wine/wine.SlackBuild
+++ b/system/wine/wine.SlackBuild
@@ -24,7 +24,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=wine
-VERSION=${VERSION:-3.0}
+VERSION=${VERSION:-3.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -48,6 +48,11 @@ if [ -z "$ARCH" ]; then
esac
fi
+if [ -n "$NOWIN32" ] && [ -z "$WIN64" ]; then
+ echo "Both 64 and 32 bit builds disabled. Nothing to do."
+ exit 1
+fi
+
# These should work for anything not specified below
BUILD_ARCH=$ARCH"-slackware-linux"
SLKCFLAGS="-O2"
@@ -62,13 +67,11 @@ case "$ARCH" in
# https://gcc.gnu.org/bugzilla/show_bug.cgi?id=78911
# https://bugs.gentoo.org/613128
SLKCFLAGS="-Os -march=$ARCH -mtune=i686"
- SLKLDFLAGS="-L/usr/lib -ldl"
;;
x86_64)
[ -n "$WIN64" ] && WIN64="--enable-win64"
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
- SLKLDFLAGS="-L/usr/lib64"
;;
esac
@@ -95,26 +98,65 @@ if [ "$ARCH" == "i?86" ]; then
patch -p1 --verbose < $CWD/x86_remove_fpic.patch
fi
-LDFLAGS="$SLKLDFLAGS" \
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
- $WIN64 \
- --prefix=/usr \
- --localstatedir=/var \
- --libdir=/usr/lib$LIBDIRSUFFIX \
- --sysconfdir=/etc \
- --mandir=/usr/man \
- --with-x \
- --with-gnutls \
- --${do_opengl}-opengl \
- --program-prefix= \
- --program-suffix= \
- --disable-tests \
- --build=$BUILD_ARCH
-
-make
-make install DESTDIR=$PKG
+if [ -n "$WIN64" ]; then
+ wine64="--with-wine64=../wine64"
+ mkdir wine64
+ cd wine64
+
+ LDFLAGS="-L/usr/lib64 -ldl" \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ../configure \
+ --enable-win64 \
+ --prefix=/usr \
+ --libdir=/usr/lib64 \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --with-x \
+ --with-gnutls \
+ --${do_opengl}-opengl \
+ --program-prefix= \
+ --program-suffix= \
+ --disable-tests \
+ --build=$BUILD_ARCH
+
+ make depend
+ make
+ make install DESTDIR=$PKG
+ cd ..
+fi
+
+
+if [ -z "$NOWIN32" ]; then
+ mkdir wine32
+ cd wine32
+
+ export PKG_CONFIG_PATH="/usr/lib/pkgconfig:$PKG_CONFIG_PATH"
+
+ LDFLAGS="-L/usr/lib -ldl" \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ../configure \
+ $wine64 \
+ --prefix=/usr \
+ --libdir=/usr/lib \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --with-x \
+ --with-gnutls \
+ --${do_opengl}-opengl \
+ --program-prefix= \
+ --program-suffix= \
+ --disable-tests \
+ --build=$BUILD_ARCH
+
+ make depend
+ make
+ make install DESTDIR=$PKG
+ cd ..
+fi
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
diff --git a/system/wine/wine.info b/system/wine/wine.info
index 14df233f80..f11b196079 100644
--- a/system/wine/wine.info
+++ b/system/wine/wine.info
@@ -1,8 +1,8 @@
PRGNAM="wine"
-VERSION="3.0"
+VERSION="3.1"
HOMEPAGE="http://www.winehq.com/"
-DOWNLOAD="https://dl.winehq.org/wine/source/3.0/wine-3.0.tar.xz"
-MD5SUM="52e49d9d7b677b7ab0892545cdacfe43"
+DOWNLOAD="https://dl.winehq.org/wine/source/3.x/wine-3.1.tar.xz"
+MD5SUM="f690ba4e9196c26b30af4701ae240f23"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""